package com.ruoyi.sim.mapper;

import java.util.List;

import com.ruoyi.sim.domain.RealExamCompRequest;

/**
 * 考试更换件关联Mapper接口
 *
 * @author tom
 * @date 2024-12-15
 */
public interface RealExamCompRequestMapper {
    /**
     * 查询考试更换件关联
     *
     * @param relId 考试更换件关联主键
     * @return 考试更换件关联
     */
    public RealExamCompRequest selectRealExamCompRequestByRelId(Long relId);

    /**
     * 查询考试更换件关联列表
     *
     * @param realExamCompRequest 考试更换件关联
     * @return 考试更换件关联集合
     */
    public List<RealExamCompRequest> selectRealExamCompRequestList(RealExamCompRequest realExamCompRequest);

    /**
     * 新增考试更换件关联
     *
     * @param realExamCompRequest 考试更换件关联
     * @return 结果
     */
    public int insertRealExamCompRequest(RealExamCompRequest realExamCompRequest);

    /**
     * 修改考试更换件关联
     *
     * @param realExamCompRequest 考试更换件关联
     * @return 结果
     */
    public int updateRealExamCompRequest(RealExamCompRequest realExamCompRequest);

    /**
     * 删除考试更换件关联
     *
     * @param relId 考试更换件关联主键
     * @return 结果
     */
    public int deleteRealExamCompRequestByRelId(Long relId);

    /**
     * 批量删除考试更换件关联
     *
     * @param relIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRealExamCompRequestByRelIds(Long[] relIds);
}
